<?php
class ControllerModuleLazyLoad extends Controller {
    private $version = '1.0.1';
    private $extension = 'Lazy Load Images';
    private $error = array();
	
    public function index() {
        $this->language->load('module/lazyload');
		
        $this->document->setTitle($this->language->get('heading_title'));
		
        $this->load->model('setting/setting');

        $this->data['heading_title'] = $this->language->get('heading_title');
        $this->data['entry_status'] = $this->language->get('entry_status');
        $this->data['text_disabled'] = $this->language->get('text_disabled');
        $this->data['text_enabled'] = $this->language->get('text_enabled');
        $this->data['text_install'] = $this->language->get('text_install');
        $this->data['text_uninstall'] = $this->language->get('text_uninstall');
        $this->data['tab_general'] = $this->language->get('tab_general');
        $this->data['button_back'] = $this->language->get('button_back');
		
        $this->data['breadcrumbs'] = array();
		
        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_home'),
            'href' => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => false
        );
		
        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_module'),
            'href' => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => ' :: '
        );
		
        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_heading'),
            'href' => $this->url->link('module/lazyload', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => ' :: '
        );
		
        $this->data['action'] = $this->url->link('module/lazyload', 'token=' . $this->session->data['token'], 'SSL');
        $this->data['back'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');
        $this->data['token'] = $this->session->data['token'];
        $this->data['status'] = $this->status();
		
        if ($this->data['status']) {
            $this->data['action'] = $this->url->link('module/lazyload/uninstall', 'token=' . $this->session->data['token'], 'SSL');
        } else {
            $this->data['action'] = $this->url->link('module/lazyload/install', 'token=' . $this->session->data['token'], 'SSL');
        }
		
        $this->data['version'] = $this->version;
        $this->data['extension'] = $this->extension;

        $this->template = 'module/lazyload.tpl';
        $this->children = array(
            'common/header',
            'common/footer'
        );
		
        $this->response->setOutput($this->render());
    }
    private function status() {
        $path = substr_replace(DIR_SYSTEM, '', -7);
        
		if (file_exists($path . 'vqmod/xml/lazyload.xml')) {
            return true;
        } else {
            return false;
        }
    }
	
    public function install() {
        $this->language->load('module/lazyload');
		
        if ($this->user->hasPermission('modify', 'module/lazyload')) {
            $path = substr_replace(DIR_SYSTEM, '', -7);
            
			if (file_exists($path . 'vqmod/xml/lazyload.xml_')) {
                rename($path . 'vqmod/xml/lazyload.xml_', $path . 'vqmod/xml/lazyload.xml');
                
				$this->session->data['success'] = $this->language->get('text_success');
            }
        }
		
        $this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
    }
    public function uninstall() {
        $this->language->load('module/lazyload');
		
        if ($this->user->hasPermission('modify', 'module/lazyload')) {
            $path = substr_replace(DIR_SYSTEM, '', -7);
			
            if (file_exists($path . 'vqmod/xml/lazyload.xml')) {
                rename($path . 'vqmod/xml/lazyload.xml', $path . 'vqmod/xml/lazyload.xml_');
				
                $this->session->data['success'] = $this->language->get('text_success');
            }
        }
		
        $this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
    }
}
?>